Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ViewRect Struct Reference
Graphical User Interface

Graphical rectangle structure. More...

`#include <iplugview.h>`

## Public Member Functions
| ViewRect (int32 l=0, int32 t=0, int32 r=0, int32 b=0)
int32 | getWidth () const
int32 | getHeight () const

## Public Attributes
int32 | left
int32 | top
int32 | right
int32 | bottom

## Detailed Description

Graphical rectangle structure.

Used with IPlugView.

## Constructor & Destructor Documentation

## ◆ ViewRect()

ViewRect | ( | int32 | l = 0,
|  | int32 | t = 0,
|  | int32 | r = 0,
|  | int32 | b = 0 )
| inline

## Member Function Documentation

## ◆ getWidth()

int32 getWidth | ( |  | ) | const
| inline

## ◆ getHeight()

int32 getHeight | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ left

int32 left

## ◆ top

int32 top

## ◆ right

int32 right

## ◆ bottom

int32 bottom

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.